<?php
if (!defined("ABSPATH")) {
    include('../../../../wp-load.php');
}

$nonce = $_REQUEST["_wpnonce"];
if (wp_verify_nonce($nonce, "export-silo")) {
    $with_links = isset($_REQUEST["with-links"]);
    header("Content-type: application/vnd.ms-word");
    header("Content-Disposition: attachment;Filename=Simple_Silo_Map_".str_replace(" ", "_", get_bloginfo("name")).".doc");

    $args = array(
        'post_type' => 'page',
        'meta_key' => '_wpu_silo_dws',
        "post_status" => array("publish", "draft"),
        'posts_per_page' => -1,
        'orderby' => 'menu_order',
        'order' => 'ASC'
    );
    $silo_pages = new WP_Query($args);

    echo "<html>";
    echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=Windows-1252\">";
    echo "<body>";
    $listing_code .= "<div class='wpus-siloing'>";
    $listing_code .= "<h1 style='text-align: center;'>SILO SITE STRUCTURE MAP</h1>";
    $listing_code .= "<h2 style='text-align: center;'><a href='" . get_bloginfo("url") . "'>" . get_bloginfo("name") . "</a></h2>";
    $listing_code .= "<br><br><br>";
    $listing_code .= "<ol class='wpus-silos a'  style='margin-bottom: 20px;'>";

    while ($silo_pages->have_posts()): $silo_pages->the_post();
        $tmp_id = get_the_ID();
        $parent_id = get_post()->post_parent;
        if ($parent_id == 0):
            $listing_code .= "<li style='list-style-type: decimal;'>";
            $listing_code .= "<h4>";
            $draftStr = (get_post_status(get_the_ID()) == "draft") ? " - <b>draft</b>" : "";
            $listing_code .= ($with_links) ? "<a href='" . get_permalink() . "'>" . get_the_title() . $draftStr . "</a>" : get_the_title() . $draftStr;
            $listing_code .= "</h4>";

            $child_page_title = get_the_title();

            if ($art_cat = get_post_meta($tmp_id, '_wpu_article_dws', true)):
                $child_silo_cat_id = $art_cat; else:

                $child_silo_cat_id = get_cat_ID($child_page_title);
            endif;

            if ($child_silo_cat_id === 0):
                $idObj = get_category_by_slug(get_post($tmp_id)->post_name);
                $child_silo_cat_id = $idObj->term_id;
            endif;
            if (! $child_silo_cat_id):
                $child_silo_cat_id = get_post_meta($tmp_id, '_wpu_category_aggregated', true);
            endif;

            query_posts("cat=$child_silo_cat_id&posts_per_page=-1&orderby=menu_order&order=ASC&post_status=publish,draft");
            if (have_posts()):
                $listing_code .= "<ol class=\"c\">";
                while (have_posts()) : the_post();
                    $draftStr = (get_post_status(get_the_ID()) == "draft") ? " - <b>draft</b>" : "";
                    $listing_code .= "<li style='list-style-type: decimal;'><span class='wpus-article-post'>" . get_the_title() . $draftStr . "</span></li>";

                endwhile;
                $listing_code .= "</ol>";
            endif;
            $listing_code .= "</li>";
        endif;

    endwhile;
    $listing_code .= "</ol>";
    $listing_code .= "</div>";
    echo $listing_code;
    echo "</body>";
    echo "</html>";


}
